CVE-2022-20685

CWE-190: INTEGER OVERFLOW OR WRAPAROUND: A vulnerability in the Modbus preprocessor of the Snort detection engine could allow an unauthenticated, remote attacker to cause a denial of service (DoS) condition on an affected device. This vulnerability is due to an integer overflow while processing Modbus traffic. An attacker could exploit this vulnerability by sending crafted Modbus traffic through an affected device. A successful exploit could allow the attacker to cause the Snort process to hang, causing traffic inspection to stop.

Risk Information

  • CVE ID
  • CVE-2022-20685
  • Vendor
  • Cisco
  • Product
  • Snort
  • CVSS v3
  • 7.5